Bug 437598 - Metacity really slow when run as a compositing manager
Metacity really slow when run as a compositing manager
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-14 23:00 EDT by Jonathan Blandford
Modified: 2013-04-02 00:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:34:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Blandford 2008-03-14 23:00:14 EDT
When I run metacity as a compositing manager, mapping any large window seems to
take an inordinate amount of time.  Switching desktops is very very slow when
there are a number of windows.
Comment 1 Matěj Cepl 2008-03-18 11:32:19 EDT
Well, I guess we can use /var/log/Xorg.0.log, but otherwise I have no clue.
Comment 2 Jonathan Blandford 2008-03-18 11:52:53 EDT
Not compiz -- metacity.  Ajax said it was a server bug, too.
Comment 3 Matěj Cepl 2008-03-18 12:20:16 EDT
OK, I am apparently clueless ("metacity as a compositing manager"?), so just
passing to ajax.
Comment 4 Matěj Cepl 2008-03-18 17:29:24 EDT
When I finally learned what is this all about, I tried it on my office computer
(/var/log/Xorg.0.log is in the attachment 298406 [details]) and it didn't seem to be crazy
slow (not much slower than compiz which briefly used to work on my computer as
well), but what was more interesting was that whole window was like blinking
every couple of minutes, as if everything crashed and was immediately (and very
fast) restarted again.
Comment 5 Bug Zapper 2008-05-14 02:04:32 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-06-09 19:46:26 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-14 13:34:31 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.